﻿@using Jumbula.Common.Helper
@using Jumbula.Web.WebLogic.UserService
@model ConfirmationViewModel
<script src="https://www.paypalobjects.com/js/external/dg.js" type="text/javascript"></script>
<script src="~/Scripts/jquery.blockUI.js"></script>
@{
    ViewBag.Title = "Payment Confirmation";
    var payKey = ViewBag.PayKey;
}

<form action="https://www.sandbox.paypal.com/webapps/adaptivepayment/flow/pay" target="PPDGFrame" >
    @Html.HiddenFor(model => model.PaymentMethod)

    <div class="payment-page confirm-page">
        <div class="logo pull-left">
            <a href="@Url.ClubDomain(Model.ClubDomain, this.GetCurrentRequestType()== RequestType.Branded)">
                <img class="img img-circle" src="@Model.ClubLogoUrl" />
                <h1 class="text">@Model.ClubName</h1>
            </a>
            <div class="secure">
                <span>secure</span>
            </div>
        </div>
        <section>
            @if (Model.Cart!=null && Model.Cart.Order.RegularOrderItems.Any())
            {
                <table class="pull-left">
                    <thead class="grid-title">
                        <tr>
                            <th class="items">Items</th>
                            <th class="details">Details</th>
                            <th class="price">Price</th>
                        </tr>
                    </thead>
                    <tbody class="grid-body">
                        @foreach (var orderItem in Model.Cart.Order.RegularOrderItems)
                        {
                            string efDescription = string.Empty;
                            decimal otherCharges = 0;
                            decimal discounts = 0;

                            discounts += orderItem.GetOrderChargeDiscounts().Where(m => m.Subcategory == ChargeDiscountSubcategory.Discount).Sum(s => s.Amount);

                            otherCharges += orderItem.GetOrderChargeDiscounts().Where(s => s.Category != ChargeDiscountCategory.EntryFee && s.Subcategory == ChargeDiscountSubcategory.Charge).Sum(o => o.Amount);


                            foreach (var charge in orderItem.OrderChargeDiscounts)
                            {
                                if (charge.Category == ChargeDiscountCategory.EntryFee)
                                {
                                    
                                        efDescription += string.Format("{0} <br/>", charge.Description ?? charge.Name);
                                }
                            }

                           
                            <tr>
                                <td class="items">
                                    <h3 class="pull-left">

                                        <a href="#">@orderItem.Name</a>

                                        <span>Online registration for @orderItem.FullName</span>
                                    </h3>
                                </td>

                                <td class="details">
                                    <p class="detail">@Html.Raw(Server.HtmlDecode(efDescription))</p>

                                    @if (otherCharges != 0)
                                    {
                                        <p class="detail">@Html.Raw(Server.HtmlDecode(string.Format("Charges: {0} <br/>", CurrencyHelper.FormatCurrencyWithoutPenny(otherCharges,Model.Cart.Currency))))</p>
                                    }

                                    @if (discounts != 0)
                                    {
                                        <p class="detail">@Html.Raw(Server.HtmlDecode(string.Format("Discounts: {0} <br/>", CurrencyHelper.FormatCurrencyWithoutPenny(discounts,Model.Cart.Currency))))</p>
                                    }

                                 
                                </td>
                                <td class="price">
                                    <span>@CurrencyHelper.FormatCurrencyWithPenny(orderItem.TotalAmount,Model.Cart.Currency)</span>
                                </td>
                            </tr>
                        }
                       
                        <tr class="grid-total">
                            <td>
                                <button onclick="window.history.go(-1);" class="btn btn-mini pull-left btn-primary"><span>&#9668;</span> back to payment page</button>
                            </td>
                            <td class="total-txt">Total</td>
                            <td class="total-price">@CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.Order.CalculateOrderAmount,Model.Cart.Currency)</td>
                        </tr>
                    </tbody>
                </table>
            }

            @if (Model.HasInstallment)
            {
                <div>
                    Due amount: @CurrencyHelper.FormatCurrencyWithPenny(Model.PayableAmount,Model.Cart.Currency)
                </div>
            }
            <input type="image" id="submitBtn" value="Pay Now" src="https://www.paypalobjects.com/en_US/i/btn/btn_paynowCC_LG.gif">
            <input id="type" type="hidden" name="expType" value="light">
            <input id="paykey" type="hidden" name="paykey" value="@payKey">


        </section>
        <div class="powered-by">
            <a href="@Url.Action("index", "home")">
                <img src="~/Images/JBpower.png" />
            </a>
        </div>
    </div>
    </form>
    <script type="text/javascript">
        var embeddedPPFlow = new PAYPAL.apps.DGFlow({ trigger: 'submitBtn' });
      
    </script>

    <!--End div container -->
    @section Styles{
        <link href="~/Content/cart/payment-confirm-style.css" rel="stylesheet" />
    }


